Material Dimensions
The material dimensions resource.
Basehttps://rest.carbon.ms/materialDimensions
GET
/materialDimensionsList material dimensionss
Retrieve a paginated list of material dimensionss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/materialDimensions
curl --request GET \
--url 'https://rest.carbon.ms/materialDimensions?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"materialFormId": "xyz789",
"isMetric": true,
"companyId": "xyz789",
"formName": "string"
}
]GET
/materialDimensionsRetrieve a material dimensions
Fetch a single material dimensions by filtering on `id`.
Query parameters
idstringMatch on the material dimensions's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/materialDimensions
curl --request GET \
--url 'https://rest.carbon.ms/materialDimensions?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"materialFormId": "xyz789",
"isMetric": true,
"companyId": "xyz789",
"formName": "string"
}